Subject: Re: Heimdal 0.4e and Cygwin
From: Nicolas Williams <[email-masked]>
To: "Brandon S. Allbery KF8NH" <[email-masked]>
Cc: Pavel Tsekov <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 8 Jan 2002 10:01:37 -0500

On Mon, Jan 07, 2002 at 06:58:15PM -0500, Brandon S. Allbery  KF8NH wrote:
> On Mon, 2002-01-07 at 16:32, Nicolas Williams wrote:
> > A dialog comes up saying: "The procedure entry point ___progname could
> > not be located in the dynamic link library cygwin1.dll". This happens if
> > the binary is in /usr/local/bin.
> > 
> > Same binary in /usr/bin or /usr/heimdal/bin works just fine.
> 
> <guess type="semi-wild">
> 
> Look for outdated versions of cygwin1.dll on your disk; possibly in
> /usr/local/bin itself.  This would be Windows' slightly odd DLL lookup
> rules biting you.)
> 
> </guess>

Doh! That's it, yes. I don't know how that happened. But it did.

BTW, though I've not seen it yet, this sort of dependency lookup
problem can bite you on, for example, Solaris 8, where the link paths
can reference $ORIGIN (the directory whence the binary came), as in
'$ORIGIN/../lib'.

Now I have a different problem:

$ cd /usr/local
$ ls
etc include info lib libexec man sbin
$ ls -d bin
bin
$ 

And I can't remove /usr/local/bin/cygwin1.dll.

I think I'm headed for a complete reinstall here.

> -- 
> brandon s. allbery   [os/2][linux][solaris][japh]  [email-masked]
> system administrator      [WAY too many hats]        [email-masked]
> electrical and computer engineering                                KF8NH
> carnegie mellon university  ["better check the oblivious first" -ke6sls]

Thanks. Cheers,

Nico
--
-DISCLAIMER: an automatically appended disclaimer may follow. By posting-
-to a public e-mail mailing list I hereby grant permission to distribute-
-and copy this message.-

Visit our website at http://www.ubswarburg.com

This message contains confidential information and is intended only 
for the individual named.  If you are not the named addressee you 
should not disseminate, distribute or copy this e-mail.  Please 
notify the sender immediately by e-mail if you have received this 
e-mail by mistake and delete this e-mail from your system.

E-mail transmission cannot be guaranteed to be secure or error-free 
as information could be intercepted, corrupted, lost, destroyed, 
arrive late or incomplete, or contain viruses.  The sender therefore 
does not accept liability for any errors or omissions in the contents 
of this message which arise as a result of e-mail transmission.  If 
verification is required please request a hard-copy version.  This 
message is provided for informational purposes and should not be 
construed as a solicitation or offer to buy or sell any securities or 
related financial instruments.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/